Subject: Re: [RFC][PATCH 2/3] netlink check sender, audit

From: Chris Wright <[email-masked]>
Date: Tue, 15 Feb 2005 14:22:46 -0800

* Pablo Neira ([email-masked]) wrote:
> 
> I agree, maybe something like the example patch attached. Hope that helps.

This is better, but...

> -netlink_kernel_create(int unit, void (*input)(struct sock *sk, int len))
> +netlink_kernel_create(int unit, struct netlink_ops *nlops)

...this is exported interface, so would probably require a new function.

thanks,
-chris
-- 
Linux Security Modules     http://lsm.immunix.org     http://lsm.bkbits.net